## k9copy 2.3.0

=== CMakeLists.txt ===
project(k9copy)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckVariableExists)
INCLUDE(CheckTypeSize)
INCLUDE(CMakeDetermineSystem)
INCLUDE(CheckIncludeFiles)
INCLUDE(FindLibMpeg2)
INCLUDE(FindXine)
INCLUDE(FindAvcodec)
INCLUDE(FindAvformat)
INCLUDE(FindFFmpegScale)

set (VERSION 2.3.0)


########################################
# CPU and Host
########################################
MESSAGE(STATUS "Checking CPU and OS")


EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
MESSAGE(STATUS "Building for target ${MACHINE}")

STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ADM_CPU_X86 1)
ENDIF (_machine_x86)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ADM_CPU_X86_64 1)
    SET(ADM_CPU_X86 0)
ENDIF (_machine_x86_64)

STRING(REGEX MATCH "(ppc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ADM_CPU_PPC 1)
ENDIF (_machine_ppc)

#convert any 64 bit build into generic 64 tag for below
IF (ARCH_X86_64) 
  SET(ARCH64BIT 1)
ENDIF (ARCH_X86_64)

IF (ADM_CPU_X86)
	SET(ARCH_X86 1)
	SET(ARCH_X86_32 1)
ELSEIF (ADM_CPU_X86_64)
	#SET(ARCH_X86 1)
	SET(ARCH_X86_64 1)
	SET(ARCH_64_BITS 1)
ELSEIF (ADM_CPU_PPC)
	OPTION(ALTIVEC "" ON)

	SET(WORDS_BIGENDIAN 1)

	IF (ALTIVEC)
		SET(BUILD_ALTIVEC 1)
		SET(ARCH_PPC 1)
		SET(ARCH_POWERPC 1)
		SET(USE_ALTIVEC 1)
		SET(HAVE_ALTIVEC 1)

		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mabi=altivec -maltivec")
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mabi=altivec -maltivec")

		SET(HAVE_ALTIVEC_H 1)
	ENDIF (ALTIVEC)
ENDIF (ADM_CPU_X86)



# usage: CHECK_INCLUDE_FILES (<header> <RESULT_VARIABLE> )
CHECK_INCLUDE_FILES(inttypes.h      HAVE_INTTYPES_H)                    # simapi.h
CHECK_INCLUDE_FILES(stddef.h        HAVE_STDDEF_H)                      # simapi.h
CHECK_INCLUDE_FILES(stdint.h        HAVE_STDINT_H)                      # simapi.h
CHECK_INCLUDE_FILES(stdlib.h        HAVE_STDLIB_H)                      # simapi.h
CHECK_INCLUDE_FILES(string.h        HAVE_STRING_H)                      # _core/libintl.cpp
CHECK_INCLUDE_FILES(sys/stat.h      HAVE_SYS_STAT_H)                    # gpg/gpg.cpp 
CHECK_INCLUDE_FILES(sys/types.h     HAVE_SYS_TYPES_H)                   # simapi.h
CHECK_INCLUDE_FILES(unistd.h        HAVE_UNISTD_H)                      # simapi.h
CHECK_INCLUDE_FILES(malloc.h        HAVE_MALLOC_H)                      # simapi.h

FINDFFMPEGSCALE("swscale")


CONFIGURE_FILE(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


# do config checks
########################################
# check dependencies
########################################
MESSAGE(STATUS "Checking dependencies" )
FINDXINE("xine.h" "xine")
FINDLIBMPEG2("mpeg2dec/mpeg2.h" "mpeg2")
FINDAVCODEC("avcodec")
FINDAVFORMAT("avformat")

add_definitions( -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS)
add_subdirectory( src/dvdread)
add_subdirectory( src/dvdnav)
add_subdirectory( src/core )
add_subdirectory( src/mpeg2)
add_subdirectory(src/vamps)
add_subdirectory(src/devices)
add_subdirectory(src/mplayer)
add_subdirectory(src/assistant)
add_subdirectory(src/import)
add_subdirectory(icons)
add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(doc)

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdnav
 ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread
 ${CMAKE_CURRENT_SOURCE_DIR}/src/devices
 ${CMAKE_CURRENT_SOURCE_DIR}/src/core
 ${CMAKE_CURRENT_SOURCE_DIR}/src/vamps
 ${CMAKE_CURRENT_SOURCE_DIR}/src/backup
 ${CMAKE_CURRENT_SOURCE_DIR}/src/mpeg2
 ${CMAKE_CURRENT_SOURCE_DIR}/src/main
 ${CMAKE_CURRENT_SOURCE_DIR}/src/mplayer
 ${CMAKE_CURRENT_SOURCE_DIR}/src/assistant
 ${CMAKE_CURRENT_SOURCE_DIR}/src/import
 ${CMAKE_CURRENT_SOURCE_DIR}/src/player
 ${CMAKE_CURRENT_SOURCE_DIR}/src/subtitles
 ${KDE4_INCLUDES} ${QT_INCLUDES} 
 ${AVCODEC_INCLUDE_DIR}
 ${AVFORMAT_INCLUDE_DIR}
 ${FFMPEGSCALE_INCLUDE_DIR}
 ${FFMPEG_INCLUDE_DIR} 
)


set (devices_SRCS
   src/devices/k9cddrive.cpp
)

set (libdvdread_SRCS
   src/dvdread/dvd_input.c
   src/dvdread/dvd_reader.c
   src/dvdread/dvd_udf.c
   src/dvdread/ifo_read.c
   src/dvdread/md5.c
   src/dvdread/nav_read.c
)

set (subtitles_SRCS
   src/subtitles/k9subtitle2pgm.cpp
)

set (libdvdnav_SRCS
   src/dvdnav/decoder.c
   src/dvdnav/dvdnav.c
   src/dvdnav/highlight.c
   src/dvdnav/navigation.c
   src/dvdnav/read_cache.c
   src/dvdnav/remap.c
   src/dvdnav/searching.c
   src/dvdnav/settings.c
   src/dvdnav/vm.c
   src/dvdnav/vmcmd.c
)

set (vamps_SRCS
  src/vamps/cputest.cpp
  src/vamps/k9fifo.cpp
  src/vamps/k9requant.cpp
  src/vamps/k9vamps.cpp
  src/vamps/tcmemcpy.cpp
)

set (core_SRCS
  src/core/k9dvd.cpp
  src/core/k9dvdtitle.cpp
  src/core/k9dvdtitleset.cpp
  src/core/k9dvdchapter.cpp
  src/core/k9dvdsize.cpp
  src/core/k9process.cpp
  src/core/k9tools.cpp
  src/core/k9dvdread.cpp
  src/core/k9cellcopylist.cpp
  src/core/k9cell.cpp
  src/core/k9dvdprogress.cpp
  src/core/k9ifo2.cpp
  src/core/k9titleencopt.cpp
  src/core/k9config.cpp
  src/core/k9saveimage.cpp
  src/core/k9drawimage.cpp
  src/core/k9progress.cpp
  src/core/k9audiocodecs.cpp
  src/core/k9videocodecs.cpp
  src/core/k9burndvd.cpp
  src/core/k9dvdbackupinterface.cpp
  src/core/k9dialogs.cpp

  )
kde4_add_ui_files(core_SRCS 
  src/core/dvdprogress.ui
  src/core/progress.ui
  )

set (backup_SRCS
   src/backup/k9dvdbackup.cpp
   src/backup/k9script.cpp
   src/backup/k9backupdlg.cpp
   src/backup/k9dvdauthor.cpp
   src/backup/k9mp4enc.cpp
   src/backup/k9mp4dlg.cpp
   src/backup/k9execcopy.cpp
   src/backup/k9convertaudio.cpp
)

kde4_add_ui_files(backup_SRCS 
   src/backup/backupdlg.ui
   src/backup/mp4dlg.ui
)

set (mpeg2_SRCS
#   src/mpeg2/alloc.cpp
 #  src/mpeg2/cpu_accel.cpp
#   src/mpeg2/cpu_state.cpp
#   src/mpeg2/decode.cpp
#   src/mpeg2/header.cpp
#   src/mpeg2/idct_alpha.cpp
#   src/mpeg2/idct_altivec.cpp
#   src/mpeg2/idct.cpp
#   src/mpeg2/idct_mmx.cpp
   src/mpeg2/k9decodethread.cpp
   src/mpeg2/k9plaympeg2.cpp
   src/mpeg2/kdecmpeg2.cpp
#   src/mpeg2/motion_comp_alpha.cpp
#   src/mpeg2/motion_comp_altivec.cpp
#   src/mpeg2/motion_comp.cpp
#   src/mpeg2/motion_comp_mmx.cpp
#   src/mpeg2/motion_comp_vis.cpp
#   src/mpeg2/rgb.cpp
#   src/mpeg2/rgb_mmx.cpp
#   src/mpeg2/rgb_vis.cpp
#   src/mpeg2/slice.cpp
#   src/mpeg2/uyvy.cpp
)

set (mplayer_SRCS
   src/mplayer/k9mplayer.cpp
   src/mplayer/k9xine.cpp
   src/mplayer/k9phonon.cpp
)

kde4_add_ui_files(mplayer_SRCS 
   src/mplayer/mplayer.ui
   src/mplayer/phonon.ui
)


set (import_SRCS
   src/import/k9chapteredit.cpp
   src/import/k9avidecode.cpp
   src/import/k9avifile.cpp
   src/import/k9canvasselection.cpp
   src/import/k9import.cpp
   src/import/k9lvitemimport.cpp
   src/import/k9menubutton.cpp
   src/import/k9menu.cpp
   src/import/k9menuedit.cpp
   src/import/k9menueditor.cpp
   src/import/k9newdvd.cpp
   src/import/k9newtitle.cpp
   src/import/k9title.cpp
   src/import/k9processlist.cpp
   src/import/k9importfiles.cpp
)

kde4_add_ui_files(import_SRCS 
   src/import/chapterEdit.ui
   src/import/import.ui
   src/import/menuEdit.ui
   src/import/newTitle.ui
   src/import/processList.ui
)
set (assistant_SRCS
   src/assistant/k9assistant.cpp
   src/assistant/k9astsource.cpp
   src/assistant/k9astdestination.cpp
   src/assistant/k9asttitles.cpp
   src/assistant/k9aststreams.cpp
   src/assistant/k9astmp4.cpp
   src/assistant/k9astmpeg.cpp
   src/assistant/k9astdvdoption.cpp
)

kde4_add_ui_files(assistant_SRCS 
   src/assistant/astsource.ui
   src/assistant/astdestination.ui
   src/assistant/asttitles.ui
   src/assistant/aststreams.ui
   src/assistant/astmp4.ui
   src/assistant/astmpeg.ui
   src/assistant/astdvdoption.ui
)


set (main_SRCS
   src/main/k9main.cpp
   src/main/k9langselect.cpp
   src/main/k9playbackoptions.cpp
   src/main/k9updatefactor.cpp
   src/main/kviewmpeg2.cpp
   src/main/k9cropselect.cpp
   src/main/k9titlefactor.cpp
   src/main/k9mp4title.cpp
   src/main/k9settings.cpp
   src/main/k9copy.cpp
   src/main/kconfigdlg.cpp
   src/main/k9prefdvd.cpp
   src/main/k9prefmencoder.cpp
   src/main/k9mencodercmdgen.cpp
   src/main/k9ffmpegcmdgen.cpp
   src/main/k9prefmpeg4.cpp
   src/main/k9prefpreview.cpp
   src/main/k9prefauthor.cpp
   src/player/k9play.cpp
)

set (player_SRCS
 	src/player/main.cpp
	src/player/k9play.cpp
)

kde4_add_ui_files(main_SRCS 
   src/main/k9mainw.ui
   src/main/configDlg.ui
   src/main/playbackoptionsw.ui
   src/main/prefDVD.ui
   src/main/prefMPEG4.ui
   src/main/prefMencoder.ui
   src/main/prefAuthor.ui
   src/main/prefpreview.ui
   src/main/langselectw.ui
   src/main/viewmpeg2.ui
   src/main/titlefactor.ui
   src/main/mencoderCmdGen.ui
   src/main/ffmpegCmdGen.ui
)


set (k9copylib_SRCS
   ${libdvdread_SRCS}
   ${libdvdnav_SRCS}
   ${core_SRCS}
   ${vamps_SRCS}
   ${mpeg2_SRCS}
   ${subtitles_SRCS}
)

set(k9copy_SRCS
   ${devices_SRCS}
   ${backup_SRCS}
   ${mplayer_SRCS}
   ${import_SRCS}
   ${main_SRCS}
   ${assistant_SRCS}
   main.cpp
	
 )

set(k9play_SRCS 
  ${player_SRCS}	
 )


set (k9xineplayer_SRCS
   src/xine/main.cpp
   src/xine/k9xineplayer.cpp
)


kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert )

kde4_add_ui_files(k9copy_SRCS )
#kde4_add_kcfg_files(k9copy_SRCS settings.kcfgc )
kde4_add_executable(k9copy ${k9copy_SRCS})
kde4_add_executable(k9play ${k9play_SRCS})
kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})

target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon )
target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  )
target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine )


install(TARGETS k9copy DESTINATION ${BIN_INSTALL_DIR} )
install(TARGETS k9play DESTINATION ${BIN_INSTALL_DIR} )
install(TARGETS k9xineplayer DESTINATION ${BIN_INSTALL_DIR} )

########### install files ###############

install( FILES k9copy.desktop k9copy_assistant.desktop DESTINATION  ${XDG_APPS_INSTALL_DIR} )
#install( FILES k9copy.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES k9copyui.rc  DESTINATION  ${DATA_INSTALL_DIR}/k9copy )

install(FILES k9copy_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
install(FILES k9copy_assistant_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

kde4_install_icons( ${ICON_INSTALL_DIR} )


############package###############
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "3")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_NAME "k9copy")
SET(CPACK_SOURCE_IGNORE_FILES 
"moc_"
"\\\\.a"
"\\\\.moc"
"\\\\.gmo"
"k9copy$"
"k9play$"
"k9xineplayer$"
"ui_"
"\\\\.gz"
"\\\\.tar.Z"
"\\\\.tar.bz2"
"\\\\.tar.xz"
"\\\\~$"
"\\\\kdevelop"
"\\\\automoc"
"Makefile$"
"TODO"
"CMakeCache.txt"
"install_manifest.txt"
"cmake_install.cmake"
"cmake_"
"CTest"
"CPack"
"CMakeLists.txt.user"
"/CVS/"
"/CMakeTmp/"
"/CMakeFiles/"
"/_CPack_Packages/"
"/templates/"
"/\\\\.svn/"
"\\\\.swp$"
"\\\\.#"
"/#"
)
#SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" ) 
INCLUDE(CPack)

## k9copy 2.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,85 +15,22 @@
 INCLUDE(FindAvcodec)
 INCLUDE(FindAvformat)
 INCLUDE(FindFFmpegScale)
-
-set (VERSION 2.3.0)
-
-
-########################################
-# CPU and Host
-########################################
-MESSAGE(STATUS "Checking CPU and OS")
-
-
-EXECUTE_PROCESS(
-    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
-    OUTPUT_VARIABLE MACHINE
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-MESSAGE(STATUS "Building for target ${MACHINE}")
-
-STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
-IF (_machine_x86)
-    MESSAGE(STATUS "Found target X86")
-    SET(ADM_CPU_X86 1)
-ENDIF (_machine_x86)
-
-STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
-IF (_machine_x86_64)
-    MESSAGE(STATUS "Found target X86_64")
-    SET(ADM_CPU_X86_64 1)
-    SET(ADM_CPU_X86 0)
-ENDIF (_machine_x86_64)
-
-STRING(REGEX MATCH "(ppc-*)" _machine_ppc "${MACHINE}")
-IF (_machine_ppc)
-    MESSAGE(STATUS "Found target PPC")
-    SET(ADM_CPU_PPC 1)
-ENDIF (_machine_ppc)
-
-#convert any 64 bit build into generic 64 tag for below
-IF (ARCH_X86_64) 
-  SET(ARCH64BIT 1)
-ENDIF (ARCH_X86_64)
-
-IF (ADM_CPU_X86)
-	SET(ARCH_X86 1)
-	SET(ARCH_X86_32 1)
-ELSEIF (ADM_CPU_X86_64)
-	#SET(ARCH_X86 1)
-	SET(ARCH_X86_64 1)
-	SET(ARCH_64_BITS 1)
-ELSEIF (ADM_CPU_PPC)
-	OPTION(ALTIVEC "" ON)
-
-	SET(WORDS_BIGENDIAN 1)
-
-	IF (ALTIVEC)
-		SET(BUILD_ALTIVEC 1)
-		SET(ARCH_PPC 1)
-		SET(ARCH_POWERPC 1)
-		SET(USE_ALTIVEC 1)
-		SET(HAVE_ALTIVEC 1)
-
-		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mabi=altivec -maltivec")
-		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mabi=altivec -maltivec")
-
-		SET(HAVE_ALTIVEC_H 1)
-	ENDIF (ALTIVEC)
-ENDIF (ADM_CPU_X86)
+#INCLUDE(FindLibDvdread)
+
+set (VERSION 2.3.5)
 
 
 
 # usage: CHECK_INCLUDE_FILES (<header> <RESULT_VARIABLE> )
-CHECK_INCLUDE_FILES(inttypes.h      HAVE_INTTYPES_H)                    # simapi.h
-CHECK_INCLUDE_FILES(stddef.h        HAVE_STDDEF_H)                      # simapi.h
-CHECK_INCLUDE_FILES(stdint.h        HAVE_STDINT_H)                      # simapi.h
-CHECK_INCLUDE_FILES(stdlib.h        HAVE_STDLIB_H)                      # simapi.h
-CHECK_INCLUDE_FILES(string.h        HAVE_STRING_H)                      # _core/libintl.cpp
-CHECK_INCLUDE_FILES(sys/stat.h      HAVE_SYS_STAT_H)                    # gpg/gpg.cpp 
-CHECK_INCLUDE_FILES(sys/types.h     HAVE_SYS_TYPES_H)                   # simapi.h
-CHECK_INCLUDE_FILES(unistd.h        HAVE_UNISTD_H)                      # simapi.h
-CHECK_INCLUDE_FILES(malloc.h        HAVE_MALLOC_H)                      # simapi.h
+CHECK_INCLUDE_FILES(inttypes.h      HAVE_INTTYPES_H)                    # inttypes.h
+CHECK_INCLUDE_FILES(stddef.h        HAVE_STDDEF_H)                      # stddef.h
+CHECK_INCLUDE_FILES(stdint.h        HAVE_STDINT_H)                      # stdint.h
+CHECK_INCLUDE_FILES(stdlib.h        HAVE_STDLIB_H)                      # stdlib.h
+CHECK_INCLUDE_FILES(string.h        HAVE_STRING_H)                      # string.h
+CHECK_INCLUDE_FILES(sys/stat.h      HAVE_SYS_STAT_H)                    # stat.h
+CHECK_INCLUDE_FILES(sys/types.h     HAVE_SYS_TYPES_H)                   # types.h
+CHECK_INCLUDE_FILES(unistd.h        HAVE_UNISTD_H)                      # unistd.h
+CHECK_INCLUDE_FILES(malloc.h        HAVE_MALLOC_H)                      # malloc.h
 
 FINDFFMPEGSCALE("swscale")
 
@@ -108,11 +45,12 @@
 MESSAGE(STATUS "Checking dependencies" )
 FINDXINE("xine.h" "xine")
 FINDLIBMPEG2("mpeg2dec/mpeg2.h" "mpeg2")
+#FINDLIBDVDREAD("dvdread/ifo_types.h" "dvdread")
+
+FINDAVFORMAT("avformat")
 FINDAVCODEC("avcodec")
-FINDAVFORMAT("avformat")
 
 add_definitions( -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS)
-add_subdirectory( src/dvdread)
 add_subdirectory( src/dvdnav)
 add_subdirectory( src/core )
 add_subdirectory( src/mpeg2)
@@ -128,7 +66,6 @@
 
 include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdnav
- ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread
  ${CMAKE_CURRENT_SOURCE_DIR}/src/devices
  ${CMAKE_CURRENT_SOURCE_DIR}/src/core
  ${CMAKE_CURRENT_SOURCE_DIR}/src/vamps
@@ -140,7 +77,9 @@
  ${CMAKE_CURRENT_SOURCE_DIR}/src/import
  ${CMAKE_CURRENT_SOURCE_DIR}/src/player
  ${CMAKE_CURRENT_SOURCE_DIR}/src/subtitles
- ${KDE4_INCLUDES} ${QT_INCLUDES} 
+${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread 
+${KDE4_INCLUDES} ${QT_INCLUDES} 
+ #${LIBDVDREAD_INCLUDE_DIR}/dvdread
  ${AVCODEC_INCLUDE_DIR}
  ${AVFORMAT_INCLUDE_DIR}
  ${FFMPEGSCALE_INCLUDE_DIR}
@@ -150,15 +89,6 @@
 
 set (devices_SRCS
    src/devices/k9cddrive.cpp
-)
-
-set (libdvdread_SRCS
-   src/dvdread/dvd_input.c
-   src/dvdread/dvd_reader.c
-   src/dvdread/dvd_udf.c
-   src/dvdread/ifo_read.c
-   src/dvdread/md5.c
-   src/dvdread/nav_read.c
 )
 
 set (subtitles_SRCS
@@ -179,12 +109,20 @@
 )
 
 set (vamps_SRCS
-  src/vamps/cputest.cpp
   src/vamps/k9fifo.cpp
   src/vamps/k9requant.cpp
   src/vamps/k9vamps.cpp
-  src/vamps/tcmemcpy.cpp
-)
+)
+
+set (dvdread_SRCS
+   src/dvdread/dvd_input.c
+   src/dvdread/dvd_reader.c
+   src/dvdread/dvd_udf.c
+   src/dvdread/ifo_read.c
+   src/dvdread/md5.c
+   src/dvdread/nav_read.c
+)
+
 
 set (core_SRCS
   src/core/k9dvd.cpp
@@ -204,16 +142,20 @@
   src/core/k9saveimage.cpp
   src/core/k9drawimage.cpp
   src/core/k9progress.cpp
+  src/core/k9burnprogress.cpp
   src/core/k9audiocodecs.cpp
   src/core/k9videocodecs.cpp
   src/core/k9burndvd.cpp
   src/core/k9dvdbackupinterface.cpp
   src/core/k9dialogs.cpp
-
+  src/core/k9log.cpp
+  src/core/k9logview.cpp
   )
 kde4_add_ui_files(core_SRCS 
   src/core/dvdprogress.ui
   src/core/progress.ui
+  src/core/k9logview.ui
+
   )
 
 set (backup_SRCS
@@ -233,28 +175,9 @@
 )
 
 set (mpeg2_SRCS
-#   src/mpeg2/alloc.cpp
- #  src/mpeg2/cpu_accel.cpp
-#   src/mpeg2/cpu_state.cpp
-#   src/mpeg2/decode.cpp
-#   src/mpeg2/header.cpp
-#   src/mpeg2/idct_alpha.cpp
-#   src/mpeg2/idct_altivec.cpp
-#   src/mpeg2/idct.cpp
-#   src/mpeg2/idct_mmx.cpp
    src/mpeg2/k9decodethread.cpp
    src/mpeg2/k9plaympeg2.cpp
    src/mpeg2/kdecmpeg2.cpp
-#   src/mpeg2/motion_comp_alpha.cpp
-#   src/mpeg2/motion_comp_altivec.cpp
-#   src/mpeg2/motion_comp.cpp
-#   src/mpeg2/motion_comp_mmx.cpp
-#   src/mpeg2/motion_comp_vis.cpp
-#   src/mpeg2/rgb.cpp
-#   src/mpeg2/rgb_mmx.cpp
-#   src/mpeg2/rgb_vis.cpp
-#   src/mpeg2/slice.cpp
-#   src/mpeg2/uyvy.cpp
 )
 
 set (mplayer_SRCS
@@ -273,13 +196,12 @@
    src/import/k9chapteredit.cpp
    src/import/k9avidecode.cpp
    src/import/k9avifile.cpp
-   src/import/k9canvasselection.cpp
    src/import/k9import.cpp
    src/import/k9lvitemimport.cpp
    src/import/k9menubutton.cpp
    src/import/k9menu.cpp
    src/import/k9menuedit.cpp
-   src/import/k9menueditor.cpp
+   src/import/k9menuscene.cpp
    src/import/k9newdvd.cpp
    src/import/k9newtitle.cpp
    src/import/k9title.cpp
@@ -335,6 +257,7 @@
    src/main/k9prefmpeg4.cpp
    src/main/k9prefpreview.cpp
    src/main/k9prefauthor.cpp
+   src/main/k9prefdirs.cpp
    src/player/k9play.cpp
 )
 
@@ -357,16 +280,17 @@
    src/main/titlefactor.ui
    src/main/mencoderCmdGen.ui
    src/main/ffmpegCmdGen.ui
+   src/main/prefDirs.ui
 )
 
 
 set (k9copylib_SRCS
-   ${libdvdread_SRCS}
    ${libdvdnav_SRCS}
    ${core_SRCS}
    ${vamps_SRCS}
    ${mpeg2_SRCS}
    ${subtitles_SRCS}
+   ${dvdread_SRCS}
 )
 
 set(k9copy_SRCS
@@ -391,11 +315,12 @@
 )
 
 
+
 kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
 target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert )
 
 kde4_add_ui_files(k9copy_SRCS )
-#kde4_add_kcfg_files(k9copy_SRCS settings.kcfgc )
+
 kde4_add_executable(k9copy ${k9copy_SRCS})
 kde4_add_executable(k9play ${k9play_SRCS})
 kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})
@@ -418,19 +343,21 @@
 install(FILES k9copy_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 install(FILES k9copy_assistant_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
+
 kde4_install_icons( ${ICON_INSTALL_DIR} )
 
 
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "5")
 SET(CPACK_PACKAGE_NAME "k9copy")
 SET(CPACK_SOURCE_IGNORE_FILES 
 "moc_"
 "\\\\.a"
 "\\\\.moc"
 "\\\\.gmo"
+"\\\\.ts"
 "k9copy$"
 "k9play$"
 "k9xineplayer$"
@@ -460,6 +387,7 @@
 "\\\\.swp$"
 "\\\\.#"
 "/#"
+"build"
 )
 #SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" ) 
 INCLUDE(CPack)

=== data/CMakeLists.txt ===
install( FILES anim.mng mencoder.xml aright.png adown.png DESTINATION  ${DATA_INSTALL_DIR}/k9copy )

=== debian/changelog ===
k9copy (2.3.5-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_string_arg.diff to fix a syntax error with the i18n
    variable arguments. Thanks to Adrian Glaubitz for the patch (LP: #519388)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 11:48:40 -0500

k9copy (2.3.5-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #518996)
  * Remove 10_fix_de_po, fixed upstream
    - Remove debian/patches
    - Remove quilt build-depend
  * Switch to source format 3.0
  * Transition to dh --with kde $@
    - Bump debhelper build-depend to >= 7.0.50
    - Bump compat to 7
    - Remove cdbs build-depend

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 08 Feb 2010 20:59:42 +0100

k9copy (2.3.4-0ubuntu2) lucid; urgency=low

  * Add debian/patches/10_fix_de_po to fix spelling error in German
    translation (LP: #511516).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 23 Jan 2010 11:59:11 +0100

k9copy (2.3.4-0ubuntu1) lucid; urgency=low

  * New upstream version.
  * drop debian/patches/kubuntu_01_ftbfs_fix.diff:
    Builds fine now.
  * Do not apply kubuntu_02_qt_phonon.diff: No longer needed.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 22 Jan 2010 22:51:09 +0100

k9copy (2.3.3-0ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:27:22 +0100

k9copy (2.3.3-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3

 -- Luka Renko <lure@ubuntu.com>  Thu, 20 Aug 2009 07:58:17 +0200

k9copy (2.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Fixed debian/rules:
    - use debian-qt-kde.mk instead of kde4.mk
  * Fixed debian/control:
    - build-depends on pkg-kde-tools
  * Added kubuntu_01_ftbfs_fix.diff:
    - Fixes FTBFS due to undeclared uint64_t and uint32_t
  * Added kubuntu_02_qt_phonon.diff:
    - Kubuntu uses QT Phonon

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 01 Jun 2009 07:12:14 +0200

k9copy (2.3.0-0ubuntu2) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:48:17 +0100

k9copy (2.3.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #339688)
    - Fixed deletion temporary files (LP: #226222)
    - Fixed missing documentation (LP: #307123)
  * Bump kdelibs5-dev to 4.2.1
  * Drop cmake, quilt, libphonon-dev, libqt4-opengl-dev are no longer need
  * Add libmpeg2-4-dev to build-deps
  * Add mkvtoolnix to depends, to support of matroska files, add twolame and
    mjpegtools to fix missing depends for dvdauthor

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 14 Mar 2009 02:44:19 +0100

k9copy (2.1.0-0ubuntu2) jaunty; urgency=low

  * No change rebuild to build with latest libdvdread. (LP: #330684).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 02 Mar 2009 20:36:44 +0100

k9copy (2.1.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - resolves open/crash bug (LP: #255344)
    - resolves FTBFS bug (LP: #311026)
  * Updated debian/rules to newest standard
  * Removed debian/cdbs, as is now obsolete

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 25 Dec 2008 20:06:29 -0500

k9copy (2.0.2-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Initial KDE4 release (LP: #227906) 
    - Added debian/cdbs for build in KDE 4
    - Changed rules for new build requirements
    - Updated copyright for new licenses
    - added k9player.1 and k9xineplayer.1 manpages
  * Bumped standards version to 3.8.0 (no change)
  * Bumped biuild-dep on debhelper to (>= 6) and changed compat to 6
  * Added watch file

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 07 May 2008 14:48:00 -0400

k9copy (1.2.3-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * debian/patches/kubuntu_05_typo_fix.patch: dropped, included upstream

 -- Luka Renko <lure@ubuntu.com>  Sun, 20 Jan 2008 16:38:59 +0100

k9copy (1.2.2-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Moved Homepage field to source stanza.
  * Removed kubuntu_01_kdepot.diff - no longer need (upstream updated
    admin).

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 31 Dec 2007 16:40:34 +0100

k9copy (1.2.1-0ubuntu2) hardy; urgency=low

  * debian/patches:
    - Added kubuntu_05_typo_fix.patch to fix a typo error (LP: #177715)
  * debian/control
     - Bump Standards-Version to 3.7.3
     - Added autotools-dev as Build-Depends to avoid the following lintian
       error: outdated-autotools-helper-file admin/config.{guess,sub}

 -- Miguel Ruiz <mruiz@ubuntu.com>  Wed, 26 Dec 2007 12:32:26 -0300

k9copy (1.2.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * debian/control: 
    * Build-Depends on libdvdread-dev (was libdvdread3-dev)
    * Build-Depends on libavformat-dev & libavcodec-dev
  * debian/patches/kubuntu_04_fix_header_files_inclusion.patch: 
    * Dropped, as it is resolved upstream
  * debian/patches/kubuntu_04_fix_libGL_crash.patch:
    * fix crash when libGL.so is not present, instead ask for 
      versioned name,  libGL.so.1 (LP: #174752)

 -- Luka Renko <lure@ubuntu.com>  Sun, 16 Dec 2007 12:34:12 +0100

k9copy (1.1.3-0ubuntu2) gutsy; urgency=low

  * Update upstream web site address (LP: #139193)
  * Change maintainer to MOTU

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Sep 2007 15:22:36 -0400

k9copy (1.1.3-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * kubuntu_03_fix_Makefile_files_in_po_directory.patch: updated to apply

 -- Luka Renko <lure@ubuntu.com>  Thu, 16 Aug 2007 16:42:33 +0200

k9copy (1.1.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/control: add Build-Depends on DBus and HAL
  * kubuntu_02_fix_desktop_file.patch: drop, fixed upstream
  * kubuntu_03_fix_Makefile_files_in_po_directory.patch: updated to apply
  * kubuntu_04_fix_header_files_inclusion.patch: updated to apply

 -- Luka Renko <lure@ubuntu.com>  Sun, 12 Aug 2007 21:59:39 +0200



=== debian/control ===
Source: k9copy
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), kdelibs5-dev (>= 4:4.2.1), libxss-dev,
 pkg-kde-tools, libdvdread-dev, libdbus-1-dev, libhal-dev, libhal-storage-dev,
 libavformat-dev, libxine-dev, libmpeg2-4-dev
Standards-Version: 3.8.3
Homepage: http://k9copy.sourceforge.net/

Package: k9copy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vamps, dvd+rw-tools, dvdauthor,
 mencoder, libdvdnav4, mkvtoolnix, mjpegtools, twolame
Description: DVD backup tool for KDE
 k9copy is a tabbed tool that allows to copy of one or more titles from a DVD9
 to a DVD5, in the same way than DVDShrink for Microsoft Windows (R).

## k9copy 2.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 INCLUDE(FindFFmpegScale)
 #INCLUDE(FindLibDvdread)
 
-set (VERSION 2.3.5)
+set (VERSION 2.3.6)
 
 
 
@@ -317,7 +317,7 @@
 
 
 kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
-target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert )
+target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert -ldl )
 
 kde4_add_ui_files(k9copy_SRCS )
 
@@ -325,9 +325,9 @@
 kde4_add_executable(k9play ${k9play_SRCS})
 kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})
 
-target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon )
+target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon -lsolid  )
 target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  )
-target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine )
+target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine -lX11 )
 
 
 install(TARGETS k9copy DESTINATION ${BIN_INSTALL_DIR} )
@@ -350,7 +350,7 @@
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "5")
+SET(CPACK_PACKAGE_VERSION_PATCH "6")
 SET(CPACK_PACKAGE_NAME "k9copy")
 SET(CPACK_SOURCE_IGNORE_FILES 
 "moc_"

=== debian/changelog ===
k9copy (2.3.6-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Drop kubuntu_01_fix_string_arg.diff, fixed upstream.
  * Add 01_fix_ftbfs_gcc45.patch.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Apr 2011 20:02:25 +0200

k9copy (2.3.5-0ubuntu3) maverick; urgency=low

  * Add build-depend on cmake since kdelibs5-dev no longer does

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 20:28:37 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50), kdelibs5-dev (>= 4:4.2.1), libxss-dev,
- pkg-kde-tools, libdvdread-dev, libdbus-1-dev, libhal-dev, libhal-storage-dev,
- libavformat-dev, libxine-dev, libmpeg2-4-dev
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
+ kdelibs5-dev (>= 4:4.2.1), libxss-dev, libdvdread-dev, libdbus-1-dev,
+ libhal-dev, libhal-storage-dev, libavformat-dev, libxine-dev, libmpeg2-4-dev
+Standards-Version: 3.8.4
 Homepage: http://k9copy.sourceforge.net/
 
 Package: k9copy

=== debian/watch ===

version=3
http://sf.net/k9copy/k9copy-(.*)\.tar\.gz debian uupdate

## k9copy 2.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
+
+
+ SET(CMAKE_BUILD_TYPE Debug)
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
@@ -17,7 +20,7 @@
 INCLUDE(FindFFmpegScale)
 #INCLUDE(FindLibDvdread)
 
-set (VERSION 2.3.6)
+set (VERSION 2.3.7)
 
 
 
@@ -45,7 +48,22 @@
 MESSAGE(STATUS "Checking dependencies" )
 FINDXINE("xine.h" "xine")
 FINDLIBMPEG2("mpeg2dec/mpeg2.h" "mpeg2")
+FIND_LIBRARY(LIBMPEG2CONVERT_LIBRARY NAMES mpeg2convert PATHS )
+IF (LIBMPEG2CONVERT_LIBRARY)
+      MESSAGE(STATUS "Found library mpeg2convert: ${LIBMPEG2CONVERT_LIBRARY}")
+ELSE (LIBMPEG2CONVERT_LIBRARY)
+      MESSAGE(FATAL_ERROR "Could not find mpeg2convert")
+ENDIF (LIBMPEG2CONVERT_LIBRARY)
+
+FIND_LIBRARY(LIBDL_LIBRARY NAMES "dl" PATHS )
+IF (LIBDL_LIBRARY)
+      MESSAGE(STATUS "Found library libdl: ${LIBDL_LIBRARY}")
+ELSE (LIBDL_LIBRARY)
+  FIND_LIBRARY(LIBDL_LIBRARY NAMES "c" PATHS )
+  MESSAGE(STATUS "Found library libc: ${LIBDL_LIBRARY}")
+ENDIF (LIBDL_LIBRARY)
 #FINDLIBDVDREAD("dvdread/ifo_types.h" "dvdread")
+
 
 FINDAVFORMAT("avformat")
 FINDAVCODEC("avcodec")
@@ -59,6 +77,7 @@
 add_subdirectory(src/mplayer)
 add_subdirectory(src/assistant)
 add_subdirectory(src/import)
+add_subdirectory(src/batch)
 add_subdirectory(icons)
 add_subdirectory(data)
 add_subdirectory(po)
@@ -77,13 +96,14 @@
  ${CMAKE_CURRENT_SOURCE_DIR}/src/import
  ${CMAKE_CURRENT_SOURCE_DIR}/src/player
  ${CMAKE_CURRENT_SOURCE_DIR}/src/subtitles
-${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread 
-${KDE4_INCLUDES} ${QT_INCLUDES} 
- #${LIBDVDREAD_INCLUDE_DIR}/dvdread
+ ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread
+ ${CMAKE_CURRENT_SOURCE_DIR}/src/batch
+${KDE4_INCLUDES} ${QT_INCLUDES}
+#${LIBDVDREAD_INCLUDE_DIR}/dvdread
  ${AVCODEC_INCLUDE_DIR}
  ${AVFORMAT_INCLUDE_DIR}
  ${FFMPEGSCALE_INCLUDE_DIR}
- ${FFMPEG_INCLUDE_DIR} 
+ ${FFMPEG_INCLUDE_DIR}
 )
 
 
@@ -151,7 +171,7 @@
   src/core/k9log.cpp
   src/core/k9logview.cpp
   )
-kde4_add_ui_files(core_SRCS 
+kde4_add_ui_files(core_SRCS
   src/core/dvdprogress.ui
   src/core/progress.ui
   src/core/k9logview.ui
@@ -167,9 +187,10 @@
    src/backup/k9mp4dlg.cpp
    src/backup/k9execcopy.cpp
    src/backup/k9convertaudio.cpp
-)
-
-kde4_add_ui_files(backup_SRCS 
+   src/player/k9play.cpp
+)
+
+kde4_add_ui_files(backup_SRCS
    src/backup/backupdlg.ui
    src/backup/mp4dlg.ui
 )
@@ -186,7 +207,7 @@
    src/mplayer/k9phonon.cpp
 )
 
-kde4_add_ui_files(mplayer_SRCS 
+kde4_add_ui_files(mplayer_SRCS
    src/mplayer/mplayer.ui
    src/mplayer/phonon.ui
 )
@@ -209,7 +230,7 @@
    src/import/k9importfiles.cpp
 )
 
-kde4_add_ui_files(import_SRCS 
+kde4_add_ui_files(import_SRCS
    src/import/chapterEdit.ui
    src/import/import.ui
    src/import/menuEdit.ui
@@ -227,7 +248,7 @@
    src/assistant/k9astdvdoption.cpp
 )
 
-kde4_add_ui_files(assistant_SRCS 
+kde4_add_ui_files(assistant_SRCS
    src/assistant/astsource.ui
    src/assistant/astdestination.ui
    src/assistant/asttitles.ui
@@ -258,15 +279,14 @@
    src/main/k9prefpreview.cpp
    src/main/k9prefauthor.cpp
    src/main/k9prefdirs.cpp
-   src/player/k9play.cpp
+   src/batch/k9batch.cpp
 )
 
 set (player_SRCS
- 	src/player/main.cpp
-	src/player/k9play.cpp
-)
-
-kde4_add_ui_files(main_SRCS 
+        src/player/main.cpp
+)
+
+kde4_add_ui_files(main_SRCS
    src/main/k9mainw.ui
    src/main/configDlg.ui
    src/main/playbackoptionsw.ui
@@ -283,6 +303,9 @@
    src/main/prefDirs.ui
 )
 
+set (batch_SRCS
+      src/batch/main.cpp
+)
 
 set (k9copylib_SRCS
    ${libdvdnav_SRCS}
@@ -291,21 +314,21 @@
    ${mpeg2_SRCS}
    ${subtitles_SRCS}
    ${dvdread_SRCS}
+   ${backup_SRCS}
 )
 
 set(k9copy_SRCS
    ${devices_SRCS}
-   ${backup_SRCS}
    ${mplayer_SRCS}
    ${import_SRCS}
    ${main_SRCS}
    ${assistant_SRCS}
    main.cpp
-	
+
  )
 
-set(k9play_SRCS 
-  ${player_SRCS}	
+set(k9play_SRCS
+  ${player_SRCS}
  )
 
 
@@ -317,7 +340,7 @@
 
 
 kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
-target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert -ldl )
+target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDESU_LIBS} ${KDE4_KIO_LIBS} ${LIBMPEG2_LIBRARY} ${LIBMPEG2CONVERT_LIBRARY} ${LIBDL_LIBRARY})
 
 kde4_add_ui_files(k9copy_SRCS )
 
@@ -325,15 +348,15 @@
 kde4_add_executable(k9play ${k9play_SRCS})
 kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})
 
-target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon -lsolid  )
-target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  )
-target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine -lX11 )
-
+ MESSAGE(STATUS "Found library solid: ${KDE4_SOLID_LIBS}")
+
+target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${PHONON_LIBRARY} ${KDE4_SOLID_LIBS})
+target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS}  )
+target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${XINE_LIBRARY} ${X11_X11_LIB} )
 
 install(TARGETS k9copy DESTINATION ${BIN_INSTALL_DIR} )
 install(TARGETS k9play DESTINATION ${BIN_INSTALL_DIR} )
 install(TARGETS k9xineplayer DESTINATION ${BIN_INSTALL_DIR} )
-
 ########### install files ###############
 
 install( FILES k9copy.desktop k9copy_assistant.desktop DESTINATION  ${XDG_APPS_INSTALL_DIR} )
@@ -350,9 +373,9 @@
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "6")
+SET(CPACK_PACKAGE_VERSION_PATCH "7")
 SET(CPACK_PACKAGE_NAME "k9copy")
-SET(CPACK_SOURCE_IGNORE_FILES 
+SET(CPACK_SOURCE_IGNORE_FILES
 "moc_"
 "\\\\.a"
 "\\\\.moc"
@@ -389,6 +412,6 @@
 "/#"
 "build"
 )
-#SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" ) 
+#SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" )
 INCLUDE(CPack)

=== debian/changelog ===
k9copy (2.3.7-3) unstable; urgency=low

  * Fix FTBFS on kfreebsd, thanks to Christoph Egger (Closes: #637773)
  * Prepare package for libav (Closes: #638248)
  * Link directly agains libav*, thanks to Reinhard Tartler

 -- Eshat Cakar <info@eshat.de>  Sun, 21 Aug 2011 22:00:49 +0200

k9copy (2.3.7-2) unstable; urgency=low

  * Add libswscale to build-deps and fix called ffmpeg library names,
    so that DVDauthor mode works (Closes: #634249)
  * Add wodim and genisofs to Recommends (Closes: #634387)
  * Add debug package

 -- Eshat Cakar <info@eshat.de>  Thu, 28 Jul 2011 23:44:44 +0200

k9copy (2.3.7-1) unstable; urgency=low

  * Initial release. (Closes: #320045)
  * Make .Desktop files follow  FreeDesktop specification

 -- Eshat Cakar <info@eshat.de>  Tue, 28 Jun 2011 15:23:11 +0200

=== debian/control ===
Source: k9copy
Section: video
Priority: optional
Maintainer: Eshat Cakar <info@eshat.de>
Build-Depends: debhelper (>= 8.0.0),
	       kdelibs5-dev (>= 4:4.2.1),
	       pkg-kde-tools,
 	       cmake,
	       libxine-dev,
	       libmpeg2-4-dev,
	       libavformat-dev,
	       libavcodec-dev,
	       libswscale-dev,
	       libx11-dev
Standards-Version: 3.9.2
Homepage: http://k9copy.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/k9copy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/k9copy.git

Package: k9copy
Architecture: any
Depends: ${shlibs:Depends}, 
	 ${misc:Depends}, 
	 dvd+rw-tools, 
	 dvdauthor, 
	 mencoder, 
	 ffmpeg
Recommends: genisoimage,
	    wodim
Description: KDE tool to backup DVDs
 k9copy provides the following features:
  - The video stream can be compressed to make the video fit on any 
    configurable target size
  - DVD Burning
  - Transcode DVD using mencoder or ffmpeg with configurable presets
  - Creation of ISO images
  - The possibility of choosing which audio and subtitle tracks to copy
  - Title preview (video only)
  - The ability to preserve the original menus

Package: k9copy-dbg
Architecture: any
Section: debug
Priority: extra
Depends: k9copy (= ${binary:Version}), 
	 ${misc:Depends}
Description: KDE tool to backup DVDs (debugging symbols)
 This package contains the debugging symbols for k9copy

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbg-package=k9copy-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/k9copy

=== debian/watch ===
version=3
http://sf.net/k9copy/k9copy-(.*)\.tar\.gz debian uupdate

## k9copy 2.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,9 @@
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
-
- SET(CMAKE_BUILD_TYPE Debug)
+SET (BACKLITE FALSE)
+
+#SET(CMAKE_BUILD_TYPE Debug)
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
@@ -20,7 +21,7 @@
 INCLUDE(FindFFmpegScale)
 #INCLUDE(FindLibDvdread)
 
-set (VERSION 2.3.7)
+set (VERSION 2.3.8)
 
 
 
@@ -366,14 +367,12 @@
 install(FILES k9copy_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 install(FILES k9copy_assistant_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
-
 kde4_install_icons( ${ICON_INSTALL_DIR} )
-
 
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "7")
+SET(CPACK_PACKAGE_VERSION_PATCH "8")
 SET(CPACK_PACKAGE_NAME "k9copy")
 SET(CPACK_SOURCE_IGNORE_FILES
 "moc_"

=== doc/CMakeLists.txt ===
########### install files ###############
#
IF (NOT BACKLITE)
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR k9copy)
ENDIF (NOT BACKLITE)

=== icons/CMakeLists.txt ===
IF (NOT BACKLITE)
kde4_install_icons( ${DATA_INSTALL_DIR}/k9copy/icons)
ENDIF (NOT BACKLITE)

=== debian/changelog ===
k9copy (2.3.8-3) unstable; urgency=low

  * Add libdvdread-dev and libdvdnav-dev to build-dependencies.
  * Add link_libdvd_directly.patch to use system libraries.
  * Bump Standards-Version to 3.9.3: No further changes.

 -- Eshat Cakar <info@eshat.de>  Tue, 13 Mar 2012 20:00:14 +0100

k9copy (2.3.8-2) unstable; urgency=low

  * Use ${xine-x:Depends} (Closes: #656909)

 -- Eshat Cakar <info@eshat.de>  Tue, 06 Mar 2012 19:19:14 +0100

k9copy (2.3.8-1) unstable; urgency=low

  * New upstream version.
    - improved stability when ripping DVD
    - fixed crash that occured when trying to open a protected DVD
    - fixed compatibility with ffmpeg
    - new translations (uk)
  * Remove rename_deprecated_var.patch, applied upstream.
  * Fix "FTBFS with libav in experimental" by including 
    libavutil/mathematics.h in link_libav_directly.patch (Closes: #654232)
  * Bump compat level to 9, depend on debhelper 8.9.

 -- Eshat Cakar <info@eshat.de>  Tue, 03 Jan 2012 21:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: video
 Priority: optional
 Maintainer: Eshat Cakar <info@eshat.de>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 8.9.0),
 	       kdelibs5-dev (>= 4:4.2.1),
 	       pkg-kde-tools,
- 	       cmake,
+	       cmake,
 	       libxine-dev,
 	       libmpeg2-4-dev,
 	       libavformat-dev,
 	       libavcodec-dev,
 	       libswscale-dev,
+	       libdvdread-dev,
+	       libdvdnav-dev,
 	       libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://k9copy.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/k9copy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/k9copy.git
@@ -43,6 +45,6 @@
 Section: debug
 Priority: extra
 Depends: k9copy (= ${binary:Version}), 
-	 ${misc:Depends}
+	 ${misc:Depends},${xine-x:Depends},
 Description: KDE tool to backup DVDs (debugging symbols)
  This package contains the debugging symbols for k9copy

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel --with kde
+	dh $@ --parallel --with kde --with xine
 
 override_dh_strip:
 	dh_strip --dbg-package=k9copy-dbg
